<template>
  <div>
    <draggable class="list-item" :list="list1"  group="people">
      <div v-for="(element, index) in list1" :key="index">
        <div class="item">
          {{ element.name }}
        </div>
      </div>
    </draggable>
    <draggable class="list-item" :list="list2"  group="people">
      <div v-for="(element, key) in list2" :key="key">
        <div class="item">
          {{ element.name }}
        </div>
      </div>
    </draggable>
  </div>
</template>

<script>
import draggable from "vuedraggable";

export default {
  components: {
    draggable
  },
  data() {
    return {
      list1: [
        { id: 1, name: "Item 1" },
        { id: 2, name: "Item 2" },
        { id: 3, name: "Item 3" },
        { id: 4, name: "Item 4" }
      ],
      list2: [
        { id: 5, name: "Item 5" },
        { id: 6, name: "item 6" },
        { id: 7, name: "item 7" }
      ]
    };
  }
};
</script>

<style>
.list-item {
  margin-left: 50px;
  float: left;
  margin-top: 50px;
  widows: 1000px;
  transition: 400;
}
.item:hover {
  background-color: cadetblue;
}
.item {
  transition: 400;
  text-align: center;
  height: 30px;
  margin: auto;
  width: 200px;
  border: 1px solid gray;
  background-color: aquamarine;
}
</style>
